Loading...
Searching...
No Matches
lowpan6_ieee802154_data Struct Reference

## Data Fields

struct lowpan6_reass_helper * | reass_list
ip6_addr_t | lowpan6_context [10]
u16_t | tx_datagram_tag
u16_t | ieee_802154_pan_id
u8_t | tx_frame_seq_num

## Detailed Description

This struct keeps track of per-netif state

## Field Documentation

## ieee_802154_pan_id

u16_t lowpan6_ieee802154_data::ieee_802154_pan_id

local PAN ID for IEEE 802.15.4 header

## lowpan6_context

ip6_addr_t lowpan6_ieee802154_data::lowpan6_context[10]

address context for compression

## reass_list

struct lowpan6_reass_helper* lowpan6_ieee802154_data::reass_list

fragment reassembly list

## tx_datagram_tag

u16_t lowpan6_ieee802154_data::tx_datagram_tag

Datagram Tag for fragmentation

## tx_frame_seq_num

u8_t lowpan6_ieee802154_data::tx_frame_seq_num

Sequence Number for IEEE 802.15.4 transmission

The documentation for this struct was generated from the following file:

- src/netif/lowpan6.c